Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - o -

- obj : PropertySetter
- ObjectImpl() : ObjectImpl
- ObjectOutputStream() : ObjectOutputStream
- ObjectPtrBase() : ObjectPtrBase
- ObjectPtrT() : ObjectPtrT< T >
- ODBCAppender() : ODBCAppender
- OFF_INT : Level
- offset : DatagramPacket
- OnlyOnceErrorHandler() : OnlyOnceErrorHandler
- open() : File
- operator std::basic_ostream< Ch > &() : logstream , ulogstream , wlogstream
- operator std::basic_ostream< char > &() : CharMessageBuffer
- operator std::basic_ostream< wchar_t > &() : WideMessageBuffer
- operator std::ostream &() : MessageBuffer
- operator T *() : ObjectPtrT< T >
- operator uostream &() : UniCharMessageBuffer
- operator!=() : ObjectPtrT< T > , Level
- operator*() : ObjectPtrT< T >
- operator->() : ObjectPtrT< T >
- operator<() : ObjectPtrT< T >
- operator<<() : CharMessageBuffer , MessageBuffer , UniCharMessageBuffer , WideMessageBuffer , logstream , ulogstream , wlogstream
- operator=() : File , BindException , ClassNotFoundException , ClosedChannelException , ConnectException , Exception , IllegalArgumentException , IllegalMonitorStateException , IllegalStateException , InstantiationException , InterruptedException , InterruptedIOException , IOException , Locale , MissingResourceException , MutexException , NoSuchElementException , NullPointerException , ObjectPtrT< T > , PoolException , RuntimeException , SocketException , SocketTimeoutException , ThreadException , TranscoderException , UnknownHostException , LocationInfo
- operator==() : ObjectPtrT< T > , Level
- operator>>() : logstream , ulogstream , wlogstream
- OutputDebugStringAppender() : OutputDebugStringAppender
- OutputStream() : OutputStream
- OutputStreamWriter() : OutputStreamWriter